package es.uv.saic.domain;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.IdClass;
import jakarta.persistence.NamedQuery;
import jakarta.persistence.Table;

@Entity
@Table(name="organs_equivalents")
@NamedQuery(name="OrganEquivalent.findAll", query="SELECT o FROM OrganEquivalent o")
@IdClass(OrganEquivalentPK.class)
public class OrganEquivalent {

	@Id
	private String tlugar;
	
	@Id
	private Integer lugar;
	
	@Id
	@Column(name="tlugar_eq")
	private String tlugarEq;
	
	@Id
	@Column(name="lugar_eq")
	private Integer lugarEq;
	
	public OrganEquivalent() {}

	public String getTlugar() {
		return tlugar;
	}

	public void setTlugar(String tlugar) {
		this.tlugar = tlugar;
	}

	public Integer getLugar() {
		return lugar;
	}

	public void setLugar(Integer lugar) {
		this.lugar = lugar;
	}

	public String getTlugarEq() {
		return tlugarEq;
	}

	public void setTlugarEq(String tlugarEq) {
		this.tlugarEq = tlugarEq;
	}

	public Integer getLugarEq() {
		return lugarEq;
	}

	public void setLugarEq(Integer lugarEq) {
		this.lugarEq = lugarEq;
	}
	
}
